### Enumeration

# AppStreamCompose ImageSaveFlags

since: 0.14.0

#### Declaration

    flags AppStreamCompose.ImageSaveFlags

#### Description [src]

The flags used for saving images.

Available since: 0.14.0

#### Members

`ASC_IMAGE_SAVE_FLAG_NONE`

  No special flags set.

  - Value: `0`
  - Available since: 0.14.0
`ASC_IMAGE_SAVE_FLAG_LOSSLESS`

  Encode the image losslessly.

  - Value: `1`
  - Available since: 0.14.0
`ASC_IMAGE_SAVE_FLAG_OPTIMIZE`

  Optimize generated PNG for size.

  - Value: `2`
  - Available since: 0.14.0
`ASC_IMAGE_SAVE_FLAG_SHARPEN`

  Sharpen the image to clarify detail.

  - Value: `4`
  - Available since: 0.14.0